# Method: accounts.invitations.list

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/list#body.ListInvitationsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/list#body.aspect)
- [TargetType](https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/list#TargetType)

> [!WARNING]
> Deprecated. Please use the [Account Management API](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list) instead.

Lists pending invitations for the specified account.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/{parent=accounts/*}/invitations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The name of the account from which the list of invitations is being retrieved. |

### Query parameters

| Parameters ||
|---|---|
| `targetType` | ``enum (`https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/list#TargetType`)`` Specifies which target types should appear in the response. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for AccessControl.ListInvitations.

| JSON representation ||
|---|---|
| ``` { "invitations": [ { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.invitations#Invitation`) } ] } ``` |

| Fields ||
|---|---|
| `invitations[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.invitations#Invitation`)`` A collection of location invitations that are pending for the account. The number of invitations listed here cannot exceed 1000. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## TargetType

The type of target an invitation is for.

| Enums ||
|---|---|
| `ALL` | List invitations for all target types. This is the default. |
| `ACCOUNTS_ONLY` | List invitations only for targets of type Account. |
| `LOCATIONS_ONLY` | List invitations only for targets of type Location. |